Bug 493708 - system-config-network-cmd import function is busted.
system-config-network-cmd import function is busted.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516996
  Show dependency treegraph
 
Reported: 2009-04-02 14:58 EDT by Kai Meyer
Modified: 2009-12-18 04:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:10:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Meyer 2009-04-02 14:58:20 EDT
Description of problem:
system-config-network-cmd will not import what it exports.


Version-Release number of selected component (if applicable):
I tried two versions of the system-config-network-tui package:
1.5.93-2.fc10
1.5.95-1.fc10

Both displayed the same problem.


How reproducible:
Simply export, then import.

Steps to Reproduce:
1. system-config-network-cmd -e > /tmp/network.current
2. system-config-network-cmd -i < /tmp/network.current
Optionally you can try the -c flag for the import, but it makes no difference.
  
Actual results:
An unhandled exception has occured.  This is most likely a bug.
Please file a detailed bug report against the component system-config-network at 
https://bugzilla.redhat.com/bugzilla
using the text below.
Component: system-config-network
Version: 1.5.93
Summary: TB /usr/sbin/system-config-network-cmd:335:main:ParseError: ('Error parsing line: DeviceList.Ethernet.eth0.AllowUser=False', 'fromstr() takes exactly 2 arguments (3 given)')
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 335, in main
    raise pe
ParseError: ('Error parsing line: DeviceList.Ethernet.eth0.AllowUser=False', 'fromstr() takes exactly 2 arguments (3 given)')

Local variables in innermost frame:
profile: None
getHardwareList: <function getHardwareList at 0x7fa9cfa0faa0>
EXPORT: 1
BadUsage: <class '__main__.BadUsage'>
switch_profile: 0
chroot: None
log: <netconfpkg.log.LogFile instance at 0x7fa9cf9ae3b0>
val: 
getIPsecList: <function getIPsecList at 0x7fa9cf493d70>
filename: None
devlistsdict: {'DeviceList': {'__l': ({}, [<netconfpkg.plugins.NCPluginDevEthernet.DevEthernet object at 0x7fa9cf4f6c10>]), '__orig': ({}, [<netconfpkg.plugins.NCPluginDevEthernet.DevEthernet object at 0x7fa9cf4f6c10>])}, 'ProfileList': [<netconfpkg.NCProfile.Profile object at 0x7fa9cc7232d0>], 'HardwareList': [<netconfpkg.plugins.NCPluginHWEthernet.HwEthernet object at 0x7fa9cf4f6dd0>], 'IPsecList': {'__l': ({'oldname': None}, []), 'oldname': None, '__orig': ({'oldname': None}, [])}}
SWITCH: 3
mcmdline: ['-i']
mfile: <open file '<stdin>', mode 'r' at 0x7fa9d485f120>
pe: ('Error parsing line: DeviceList.Ethernet.eth0.AllowUser=False', 'fromstr() takes exactly 2 arguments (3 given)')
test: 0
IMPORT: 2
opt: -i
devlists: [{'__l': ({}, [<netconfpkg.plugins.NCPluginDevEthernet.DevEthernet object at 0x7fa9cf4f6c10>]), '__orig': ({}, [<netconfpkg.plugins.NCPluginDevEthernet.DevEthernet object at 0x7fa9cf4f6c10>])}, [<netconfpkg.plugins.NCPluginHWEthernet.HwEthernet object at 0x7fa9cf4f6dd0>], {'__l': ({'oldname': None}, []), 'oldname': None, '__orig': ({'oldname': None}, [])}, [<netconfpkg.NCProfile.Profile object at 0x7fa9cc7232d0>]]
key: DeviceList.Ethernet.eth0.AllowUser
vals: ['Ethernet', 'eth0', 'AllowUser']
getProfileList: <function getProfileList at 0x7fa9cf4c5230>
line: DeviceList.Ethernet.eth0.AllowUser=False
e: fromstr() takes exactly 2 arguments (3 given)
clear: 0
getDeviceList: <function getDeviceList at 0x7fa9cfa96500>
lines: ['DeviceList.Ethernet.eth0.AllowUser=False\n', 'DeviceList.Ethernet.eth0.BootProto=static\n', 'DeviceList.Ethernet.eth0.Device=eth0\n', 'DeviceList.Ethernet.eth0.DeviceId=eth0\n', 'DeviceList.Ethernet.eth0.Gateway=192.168.100.1\n', 'DeviceList.Ethernet.eth0.IP=192.168.100.192\n', 'DeviceList.Ethernet.eth0.IPv6Init=False\n', 'DeviceList.Ethernet.eth0.NMControlled=False\n', 'DeviceList.Ethernet.eth0.Netmask=255.255.255.0\n', 'DeviceList.Ethernet.eth0.OnBoot=True\n', 'DeviceList.Ethernet.eth0.Type=Ethernet\n', 'HardwareList.Ethernet.eth0.Card.ModuleName=8139too\n', 'HardwareList.Ethernet.eth0.Description=Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+\n', 'HardwareList.Ethernet.eth0.Name=eth0\n', 'HardwareList.Ethernet.eth0.Status=system\n', 'HardwareList.Ethernet.eth0.Type=Ethernet\n', 'ProfileList.default.Active=True\n', 'ProfileList.default.ActiveDevices.1=eth0\n', 'ProfileList.default.DNS.Domainname=\n', 'ProfileList.default.DNS.Hostname=ftest1\n', 'ProfileList.default.DNS.PrimaryDNS=216.83.130.2\n', 'ProfileList.default.DNS.SearchList.1=fiber.net\n', 'ProfileList.default.DNS.SecondaryDNS=216.83.130.7\n', 'ProfileList.default.DNS.TertiaryDNS=\n', 'ProfileList.default.HostsList.1.AliasList.1=localhost\n', 'ProfileList.default.HostsList.1.Hostname=ftest1\n', 'ProfileList.default.HostsList.1.IP=127.0.0.1\n', 'ProfileList.default.HostsList.2.AliasList.1=localhost6\n', 'ProfileList.default.HostsList.2.Hostname=localhost6.localdomain6\n', 'ProfileList.default.HostsList.2.IP=::1\n', 'ProfileList.default.ProfileName=default\n']
value: False
mode: 2
debug: None
do_activate: 0
opts: [('-i', '')]


Expected results:
No errors at all.

Additional info:
I know that it's pointless to import exactly what you've exported. I ran into this problem by trying to run a script that works on a CentOS server running version:
1.3.99-2.el5
Comment 1 Paul Wouters 2009-07-13 00:42:10 EDT
This bug is still there :(
Comment 2 Oliver Thebrath 2009-07-23 08:00:44 EDT
I am using Fedora 11 and version 1.5.97-1.fc11 of system-config-network. I am facing the same problem like Kai Meyer when I want to import a configuration.

First I tried it with a modified configuration and then with the same file which I imported before. But I could not get it to work.
Comment 3 Bug Zapper 2009-11-18 06:40:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steve Castellotti 2009-11-29 20:06:03 EST
Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.


I can definitely confirm this problem still exists with Fedora 11, but cannot change the "version" number of this ticket.

Please do not close this ticket, it is a very simple process to confirm that it still exists.
Comment 5 Bug Zapper 2009-12-18 04:10:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Steve Castellotti 2009-12-18 04:27:22 EST
(In reply to comment #5)
>
> If you can reproduce this bug against a currently maintained version of 
> Fedora please feel free to reopen this bug against that version.


As per Comment #4, this issue can be perfectly reproduced under Fedora 11.

However I do not have access rights to either reopen the bug or update the release version for which it is reported.

Note You need to log in before you can comment on or make changes to this bug.